### Method

# Gsk Stroke get_dash

since: 4.14

#### Declaration [src]

    const float*
    gsk_stroke_get_dash (
      const GskStroke* self,
      gsize* n_dash
    )

#### Description [src]

Gets the dash array in use or `NULL` if dashing is disabled.

Available since: 4.14

#### Parameters

`n_dash`

  Type: `gsize*`

  Number of elements in the array returned.

  The argument will be set by the function.

#### Return value

Type: An array of `float`

The dash array or `NULL` if the dash array is empty.

The length of the array is in the `n_dash` argument.
The returned data is owned by the instance.
The return value can be `NULL`.